Bug 1922275 (CVE-2021-20232) - CVE-2021-20232 gnutls: Use after free in client_send_params in lib/ext/pre_shared_key.c
Summary: CVE-2021-20232 gnutls: Use after free in client_send_params in lib/ext/pre_sh...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-20232
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1927592 1927593 1927594 1938149 1938150
Blocks: 1922277 1926237
TreeView+ depends on / blocked
 
Reported: 2021-01-29 15:15 UTC by Pedro Sampaio
Modified: 2022-04-17 21:07 UTC (History)
14 users (show)

Fixed In Version: gnutls 3.7.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in gnutls. A use after free issue in client_send_params in lib/ext/pre_shared_key.c may lead to memory corruption and other potential consequences.
Clone Of:
Environment:
Last Closed: 2021-11-09 20:22:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4451 0 None None None 2021-11-09 18:50:08 UTC

Description Pedro Sampaio 2021-01-29 15:15:43 UTC
A flaw was found in gnutls. A use after free issue in client_send_params in lib/ext/pre_shared_key.c may lead to memory corruption and other potential consequences.

References:

https://gitlab.com/gnutls/gnutls/-/issues/1151

Comment 3 Huzaifa S. Sidhpurwala 2021-03-12 09:56:38 UTC
Created gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1938149]


Created mingw-gnutls tracking bugs for this issue:

Affects: fedora-all [bug 1938150]

Comment 4 Huzaifa S. Sidhpurwala 2021-03-12 09:59:47 UTC
External References:

https://www.gnutls.org/security-new.html#GNUTLS-SA-2021-03-10

Comment 6 Huzaifa S. Sidhpurwala 2021-03-12 10:07:11 UTC
Acknowledgments:

Name: GnuTLS project
Upstream: Ivan Nikolchev

Comment 7 Huzaifa S. Sidhpurwala 2021-03-12 10:11:54 UTC
Upstream commit: https://gitlab.com/gnutls/gnutls/-/commit/75a937d97f4fefc6f9b08e3791f151445f551cb3

Comment 8 errata-xmlrpc 2021-11-09 18:50:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4451 https://access.redhat.com/errata/RHSA-2021:4451

Comment 9 Product Security DevOps Team 2021-11-09 20:22:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-20232


Note You need to log in before you can comment on or make changes to this bug.